'Nome       : HpLj.cmd
'Tipo       : PRT_CMD
'Data       : 1998/10/07
'Versao     : 1.0
'Descricao  : Comandos para HP LaserJet


'comandos standard
Inicializacao de inpressora  [INI]=chr$(27)chr$(64)
salto de linha                [SL]=chr$(13)
salto de pagina               [SP]=chr$(12)

10 CPI Letra normal           [10CPILN]=chr$(27)&k0Schr$(27)(s0B
10 CPI Letra dupla            [10CPILD]=chr$(27)&k0Schr$(27)(s5h3B
10 CPI Letra bold             [10CPILB]=chr$(27)&k0Schr$(27)(s3B

12 CPI Letra normal           [12CPILN]=chr$(27)&k4Schr$(27)(s0B
12 CPI Letra dupla            [12CPILD]=chr$(27)&k4Schr$(27)(s6h3B
12 CPI Letra bold             [12CPILB]=chr$(27)&k4Schr$(27)(s3B

16 CPI Letra normal           [16CPILN]=chr$(27)&k2Schr$(27)(s0B
16 CPI Letra dupla            [16CPILD]=chr$(27)&k2Schr$(27)(s8.33h3B
16 CPI Letra bold             [16CPILB]=chr$(27)&k2Schr$(27)(s3B

'formato de papel
pagina de 72 linhas de papel [72L]=chr$(27)chr$(38)chr$(108)72chr$(80)
pagina de 70 linhas de papel [70L]=chr$(27)chr$(38)chr$(108)70chr$(80)
pagina de 48 linhas de papel [48L]=chr$(27)chr$(38)chr$(108)48chr$(80)
pagina de 36 linhas de papel [36L]=chr$(27)chr$(38)chr$(108)36chr$(80)
pagina de 24 linhas de papel [24L]=chr$(27)chr$(38)chr$(108)24chr$(80)
pagina de 18 linhas de papel [18L]=chr$(27)chr$(38)chr$(108)18chr$(80)
pagina de 12 linhas de papel [12L]=chr$(27)chr$(38)chr$(108)12chr$(80)
pagina de 09 linhas de papel [09L]=chr$(27)chr$(38)chr$(108)09chr$(80)


'comandos suplementares
letra Bold                  [BOLD]=chr$(27)chr$(40)chr$(115)chr$(52)chr$(66)
letra Thin                  [THIN]=chr$(27)chr$(40)chr$(115)chr$(45)chr$(53)chr$(66)

'entrelinha
linha normal               [LINN]=chr$(27)chr$(38)chr$(108)chr$(54)chr$(68)
entrelinha 8 lin/inch      [LINP]=chr$(27)chr$(38)chr$(108)chr$(56)chr$(68)

Top Margin                 [TMAR]=chr$(27)chr$(38)chr$(108)1chr$(69)

